.p-detail-format {
  &__breadcrumb {
    margin: 0.8rem 0 0 0;
  }

  &__progress {
    width: 100%;
    max-width: 60rem;
    height: 3.2rem;

    .__progress-btn {
      height: 3.2rem !important;
      padding: 0 1.6rem;

      background: transparent;
      border-radius: 0.8rem;

      color: #526375;
      font-size: 1.4rem;

      &[data-active='true'] {
        background: #35b9e5;

        color: #fff;
      }
    }
  }

  &__container {
    position: relative;
    z-index: 2;

    .container-title {
      margin: 0 0 1.2rem 0;

      h5 {
        font-size: 1.4rem;
        font-weight: 600;
        line-height: 2.4rem;
      }
    }

    .description-create-part {
      margin: 0 0 20px 0;
      padding: 12px;
      display: flex;
      flex-direction: row;
      align-items: center;
      gap: 5px;
      border-radius: 10px;
      border: 1px solid #0063F7;
      background: #E5F0FF;

      span {
        flex-shrink: 0;
        color: #656565;
        font-size: 14px;
        font-weight: 400;
      }
    }

    .container-info {
      position: relative;
      z-index: 2;
      margin: 16px 0 0 0;
    }

    .container-section-list {
      position: relative;
      z-index: 1;

      margin: 0.4rem 0 0 0;
    }

    .container-footer {
      display: flex;
      justify-content: flex-end;

      .__submit {
        min-width: 16rem;
        height: 4.8rem;
        padding: 0 1.6rem;

        background: #6262bc;
        border-radius: 1.2rem;
        box-shadow: none;

        color: #fff;
        font-size: 1.6rem;
        font-weight: 600;

        &.--green{
          background: #58B778;
          border-radius: 8px;
          &:hover{
            background: #30884E;
          }
        }
        &:disabled {
          opacity: 0.6;
        }

        img {
          width: 1.6rem;
          height: 1.6rem;
          margin: 0 0 0 0.8rem;

          object-fit: contain;
          object-position: center;

          filter: brightness(5);

          transform: rotate(180deg);
        }

        &:not(:last-child) {
          margin-right: 1rem;
        }
      }
    }
  }

  &__preview {
    padding: 3.2rem 0 0 0;

    .preview-footer {
      display: flex;
      justify-content: flex-end;

      .__submit {
        min-width: 16rem;
        height: 4.8rem;
        padding: 0 1.6rem;

        background: #6262bc;
        border-radius: 1.2rem;
        box-shadow: none;

        color: #fff;
        font-size: 1.6rem;
        font-weight: 600;

        &:disabled {
          opacity: 0.6;
        }

        &.--green{
          background: #58B778;
          border-radius: 8px;
          &:hover{
            background: #30884E;
          }
        }

        img {
          width: 1.6rem;
          height: 1.6rem;
          margin: 0 0 0 0.8rem;

          object-fit: contain;
          object-position: center;

          filter: brightness(5);

          transform: rotate(180deg);
        }
      }
    }
  }

  &__submit {
    margin: 3.2rem 0 1.6rem 0;
    position: relative;
    z-index: 1;
  }

  &__sticky-progress {
    position: sticky;
    top: -21px;
    transform: translateX(-20px);
    width: calc(100% + 40px);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    background-color: #F7F8FC;
    z-index: 5;
  }
}
